/////////////////////////////////////////////////////////////////////////////
// Name:        xh_all.cpp
// Purpose:     Registration of handlers contained in WSPP
// Author:      Aleksandras Gluchovas
// Created:     2000/03/05
// RCS-ID:      $Id: xh_all.cpp,v 1.3 2001/04/19 21:09:25 georgetasker Exp $
// Copyright:   (c) 2000 Aleksandras Gluchovas
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////
 
// For compilers that support precompilation, includes "wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "wx/wspp/xh_cardc.h"
#include "wx/wspp/xh_datec.h"
#include "wx/wspp/xh_glistc.h"
#include "wx/wspp/xh_dblistc.h"
#include "wx/wspp/xh_pagectrl.h"

#include "wx/wspp/xh_mtx_dlg.h"
#include "wx/wspp/xh_mtx_frame.h"
#include "wx/wspp/xh_mtx_panel.h"

#include "wx/wspp/tinyxml.h"

class wxWsppXmlHandlersModule: public wxModule
{
    DECLARE_DYNAMIC_CLASS(wxWsppXmlHandlersModule)
    public:
        wxWsppXmlHandlersModule() {}
        
		bool OnInit() { 
		  wxTheXmlResource->AddHandler( new wxCardCtrlXmlHandler() );
		  wxTheXmlResource->AddHandler( new wxDateCtrlXmlHandler() );
		  wxTheXmlResource->AddHandler( new wxDbListCtrlXmlHandler() );
		  wxTheXmlResource->AddHandler( new wxGenericListCtrlXmlHandler() );
		  wxTheXmlResource->AddHandler( new wxPageCtrlXmlHandler() );
		  
		  wxTheXmlResource->AddHandler( new wxMtxDialogXmlHandler() );
		  wxTheXmlResource->AddHandler( new wxMtxFrameXmlHandler() );
		  wxTheXmlResource->AddHandler( new wxMtxPanelXmlHandler() );

		  wxLogMessage( "wxWsppXmlHandlersModule registered OK" );
		  return TRUE; 
		}

        void OnExit() {};
};

IMPLEMENT_DYNAMIC_CLASS(wxWsppXmlHandlersModule, wxModule)

void InitWSPP()
{
	wxXmlIOHandlerTinyxml::InitTinyXml();
}